## org.apache.poi.ss.formula.function
Class FunctionMetadata

    java.lang.Object
      org.apache.poi.ss.formula.function.FunctionMetadata

    public final class FunctionMetadata

extends java.lang.Object

Holds information about Excel built-in functions.

Author:
  Josh Micich

Method Summary
`int` `getIndex()`
`int` `getMaxParams()`
`int` `getMinParams()`
`java.lang.String` `getName()`
`byte[]` `getParameterClassCodes()`
`byte` `getReturnClassCode()`
`boolean` `hasFixedArgsLength()`
`boolean` `hasUnlimitedVarags()` Some varags functions (like VLOOKUP) have a specific limit to the number of arguments that can be passed.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIndex

    public int getIndex()

### getName

    public java.lang.String getName()

### getMinParams

    public int getMinParams()

### getMaxParams

    public int getMaxParams()

### hasFixedArgsLength

    public boolean hasFixedArgsLength()

### getReturnClassCode

    public byte getReturnClassCode()

### getParameterClassCodes

    public byte[] getParameterClassCodes()

### hasUnlimitedVarags

    public boolean hasUnlimitedVarags()

  Some varags functions (like VLOOKUP) have a specific limit to the number of arguments that can be passed. Other functions (like SUM) don't have such a limit. For those functions, the spreadsheet version determines the maximum number of arguments that can be passed.

  Returns:
    `true` if this function can the maximum number of arguments allowable by the `SpreadsheetVersion`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.